<%@page contentType="text/html; charset=UTF-8"%>
<%@page import="com.csc.library.entry.HelpEntry,com.csc.library.system.*,com.csc.library.utilities.*"%>
<%@ page import="com.csc.library.entry.*,com.csc.library.database.*,com.csc.library.session.*,com.csc.library.report.ReportUDF"  %>

<jsp:useBean id="AS17" class="com.csc.library.system.Task" scope="page"/>
<%
AS17.setChannel(request,response);
UIManager screen = (UIManager) AS17.process("SingleEntry","AS17");
screen.referLangOff();
CscCalendar cs=new CscCalendar();
%>
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="../CSS/TISCO.css" rel="stylesheet" type="text/css">
<script  language="JavaScript" src="../JS/SCREEN.js"></script>
<script  language="JavaScript" src="../JS/MISC.js"></script>
<script type='text/javascript' src='../JS/ICONSMENU.js'></script>
<script language='javascript' src='../JS/HOTKEY.js'></script>
<script language='javascript'>setLang('<%=screen.getUProfile().get("lang")%>');</script>

<script language="javascript">
<!--
function GoSave() {  
  if(beforeAction()){
		confirmSave();  
    }else{
		alert(MyCode[45]);
	}
}
function GoDelete(){ edelete(); }
function GoSearch(){ search(); }
function GoUpdate(){ 
  if(beforeAction()){
		update();
    }else{
		alert(MyCode[45]);
	}
  }

function beforeAction(){
	with(document.cscform){
	   if(Trim(__anwcompare.value).length>0){
	     	if((__anwcompare.value=="T")||(__anwcompare.value=="F")||(__anwcompare.value=="t")||(__anwcompare.value=="f")){
			       return true;      
			}else{
					__anwcompare.focus();
				    __anwcompare.select();
      			return false;
			}
		}else{
		          return true;
		}
	}
}

   function goHelp(helpName,inputName){
	var helpReturn="";
			if(inputName=="__asgid")
				helpReturn=inputName+":asgid,MASGROUP@TDESC";
		 linkHelp_Return(helpName,helpReturn);
}
//-->
</script>

</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id="toolTipLayer" style="position:absolute; visibility: hidden"></div>
<script language="javascript">initToolTips();</script>
  <form name="cscform" method="post">
 

<!----------BEGIN CSC INITIAL ZONE ------------------------>

<%=screen.InitialVariable()%>

<!----------END CSC INITIAL ZONE -------------------------->

   <input type="hidden"name="__screen"  value="AS17">
  <input type="hidden" name="__help" value="">
  <input type="hidden" name="__cmd"  value="">
  <input type="hidden" name="__language" value ="<%=screen.getUProfile().get("lang")%>"> 
  <input type="hidden" name="__fixCon" value="">
  <input name="__notNull" type="hidden" value="<%=screen.getRequire()%>">
  <input name="__companyid" type="hidden" value="<%=screen.getUProfile().get("companyid")%>">
  <input type="hidden" name="__anwcreateby" value="<%=screen.getUProfile().get("userid")%>" >
  <input type="hidden" name="__anwcreatedate" value="<%=cs.getYYYYMMDDHHMMSS()%>">
  <script language="JavaScript">document.write(Icons());</script>  
  
  <br>
  <div align="center">
    <table  cellpadding="0"  cellspacing="0">
      <tr > 
        <td  class="header">AS17,
          <script language="javascript">swapLang('Answer of Assess');</script>
          &nbsp;</td></tr>
      <tr > 
        <td  colspan="2"> 
          <div align="center"> 
            <table  class="inframe" cellpadding="0" cellspacing="0" >
              <tr> 
                <td colspan="4"  class="blankspace"></td>
              </tr>
              <tr>
                <td  class="columnlabel"><%=screen.getLabel("asid")%>&nbsp;</td>
                <td colspan="3" ><%=screen.getInput("asid")%> <input type="text" name="MASSESS@TDESC" value="<%=screen.getDataLabel("massess","tdesc")%>" size="35" disabled></td>
              </tr>
              <tr> 
                <td  class="columnlabel"><%=screen.getLabel("anwid")%>&nbsp;</td>
                <td colspan="3" ><%=screen.getInput("anwid")%> 
                </td>
              </tr>
              <tr> 
                <td width="150"  class="columnlabel"><%=screen.getLabel("tdesc")%>&nbsp;</td>
                <td width="488" colspan="3" > <%=screen.getInput("tdesc")%> 
                </td>
              </tr>
              <tr> 
                <td width="150"  class="columnlabel"><%=screen.getLabel("edesc")%>&nbsp;</td>
                <td width="488" colspan="3" > <%=screen.getInput("edesc")%> 
                </td>
              </tr>
              <tr > 
                <td  class="columnlabel"><%=screen.getLabel("anwcompare")%>&nbsp;</td>
                <td colspan="3" ><%=screen.getInput("anwcompare")%>&nbsp;***<script language="javascript">swapLang('Please type T or F in case true or false');</script></td>
              </tr>
              <tr > 
                <td  class="columnlabel"><%=screen.getLabel("anwscore")%>&nbsp;</td>
                <td colspan="3" ><%=screen.getInput("anwscore")%></td>
              </tr>
              <tr > 
                <td colspan="4" class="blankspace"></td>
              </tr>
              <TR> 
                <TD colspan="4"><div align="center"></div></TD>
              </TR>
              <tr > 
                <td colspan="4" class="blankspace"></td>
              </tr>
            </table>
          </div></td>
      </tr>
      <tr bordercolor="0069B3"> 
        <td  class="bottom"></td>
      </tr>
    </table>
    <br>
  </div>


<!----------BEGIN CSC ENDING ZONE ------------------------>

<%=screen.endJSP()%>

<!----------END CSC ENDING ZONE -------------------------->

</form>
</body>
</html>
